fbpdf-2.12-lp151.2.3.x86_64.rpm


Advertisement

Description

fbpdf - Show PDF files on the framebuffer

Property Value
Distribution openSUSE Leap 15.1
Repository openSUSE Oss all
Package filename fbpdf-2.12-lp151.2.3.x86_64.rpm
Package name fbpdf
Package version 2.12
Package release lp151.2.3
Package architecture x86_64
Package type rpm
Category Productivity/Graphics/Viewers
Homepage http://www.kraxel.org/blog/linux/fbida/
License LGPL-2.1+
Maintainer -
Download size 33.47 KB
Installed size 71.32 KB
This is a PDF viewer for Linux framebuffer devices. It uses the poppler
library for rendering.

Alternatives

Package Version Architecture Repository
fbpdf - - -

Requires

Name Value
libc.so.6(GLIBC_2.14)(64bit) -
libcairo.so.2()(64bit) -
libdrm.so.2()(64bit) -
libepoxy.so.0()(64bit) -
libgbm.so.1()(64bit) -
libpoppler-glib.so.8()(64bit) -

Provides

Name Value
fbpdf = 2.12-lp151.2.3
fbpdf(x86-64) = 2.12-lp151.2.3

Download

Type URL
Mirror widehat.opensuse.org
Binary Package fbpdf-2.12-lp151.2.3.x86_64.rpm
Source Package fbi-2.12-lp151.2.3.src.rpm

Install Howto

Install fbpdf rpm package:

# zypper install fbpdf

Files

Path
/usr/bin/fbpdf
/usr/share/doc/packages/fbpdf/COPYING

Changelog

2016-05-11 - stefan.bruens@rwth-aachen.de
- Update to version 2.12:
* add poppler based fbpdf
- Update to version 2.11:
* Untangled the console switching code from the fbdev code.
* Added support for drm, which also is the new default.
* Missing console switching support is not a fatal error any more.
- > fbi can be used from a remote login
2016-01-17 - p.drouand@gmail.com
- Update to version 2.10
* No changelog available
- Remove 0001-fix-misssing-space.patch; fixed on upstream release
- Perform a spec-cleaner
2012-05-10 - toganm@opensuse.org
- cleanup
* fixed file-contains-date-and-time warning
* removed not used ida.png and ida-desktop.patch
2012-05-09 - toganm@opensuse.org
- reworked package
* remove dependency to openmotif-devel and therefore remove
subpackage ida due to licensing (bnc#761246)
* fix fbi man page display error
2012-05-02 - toganm@opensuse.org
- update to 2.09
* fix /usr/share/X11/app-defaults/Ida installation
2011-08-07 - lazy.kent@opensuse.org
- update to 2.08
- removed libpng-1.4 and jpeg-8.0.2 patches (fixed upstream)
- fix build dependencies (requires libpcd-devel)
- fbi package requires ghostscript-library to run fbgs script
- added desktop_database_post/un macros for ida
- updated site URL
- corrected License tags
- use full URL for source
- man pages marked as doc
- minor spec formatting
2011-02-17 - pgajdos@suse.cz
- apply fbi-jpeg-8.0.2.patch conditionally (only for 11.3)
[bnc#648885]
2010-12-20 - puzel@novell.com
- disable fbi-jpeg-8.0.2.patch - fix build
2010-11-23 - pgajdos@suse.cz
- use jpeg 8.0.2 headers and transupp.c [bnc#648855]
2010-05-07 - puzel@novell.com
- add fbi-libpng-1.4.patch: fix build with new libpng

See Also

Package Description
fbreader-0.99.4-lp151.4.6.x86_64.rpm E-book reader
fbterm-1.7-lp151.2.4.x86_64.rpm A fast framebuffer-based terminal emulator
fcitx-4.2.9.6-lp151.2.5.x86_64.rpm Flexible Context-aware Input Tool with eXtension
fcitx-anthy-0.2.3-lp151.2.4.x86_64.rpm Japanese Anthy IME Wrapper for Fcitx
fcitx-branding-openSUSE-4.2.9.6-lp151.2.5.noarch.rpm openSUSE default Skins for Fcitx
fcitx-chewing-0.2.3-lp151.2.4.x86_64.rpm Chewing Wrapper for Fcitx
fcitx-cloudpinyin-0.3.6-lp151.2.3.x86_64.rpm Cloudpinyin module for fcitx
fcitx-config-gtk3-0.4.10-lp151.2.3.x86_64.rpm GTK GUI Config tool for FCITX
fcitx-devel-4.2.9.6-lp151.2.5.x86_64.rpm Development files for fcitx
fcitx-fbterm-0.2.0-lp151.2.2.x86_64.rpm Fbterm Support for Fcitx
fcitx-googlepinyin-0.1.6-lp151.2.2.x86_64.rpm Googlepinyin module for fcitx
fcitx-gtk2-32bit-4.2.9.6-lp151.2.5.x86_64.rpm Gtk2 IM module for fcitx
fcitx-gtk2-4.2.9.6-lp151.2.5.x86_64.rpm Gtk2 IM module for fcitx
fcitx-gtk3-32bit-4.2.9.6-lp151.2.5.x86_64.rpm Gtk3 IM module for fcitx
fcitx-gtk3-4.2.9.6-lp151.2.5.x86_64.rpm Gtk3 IM module for fcitx
Advertisement
Advertisement